# QVM: Quaternions, Vectors, Matrices

### mag(vec)

#include <boost/qvm/vec_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if:
            //  is_vec<A>::value
            template <class A>
            typename vec_traits<A>::scalar_type
            mag( A const & a );
        }
    }

#### Returns:

The magnitude of the vector a.

See also: boost/qvm/vec_operations.hpp | normalize(vec)